import abc
from utils.value import AttributeChange


class TemperatureSensorException(Exception):
	def __init__(self, error_txt):
		Exception.__init__(self, error_txt)


class ATemperatureSensor(AttributeChange):
	def __init__(self):
		AttributeChange.__init__(self)

	@abc.abstractmethod
	def name(self):
		return ""

	@abc.abstractmethod
	def temperature(self):
		return None
